#include <bits/stdc++.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
 	int AveTrueToCaesar;
 	cin>>AveTrueToCaesar;
 	int t[AveTrueToCaesar];
 	double y[AveTrueToCaesar];
 	double z=0,p=0;
 	for(int i=0;i<AveTrueToCaesar;i++){
 		cin>>t[i]>>y[i];
	 }
	 for(int o=0;o<AveTrueToCaesar;o++){
	 	for(int u=0;u<AveTrueToCaesar;u++){
	 		if(y[u]>=y[o]){
	 		p+=(t[u]*y[o])/100.00;
	 	}
		 }
		 if(p>=z)z=p;
		 p=0;
	 }
	 cout<<fixed<<z;
	return 0;
}